#include <stdio.h>
#include "Karray.H"

class K:public Karray {
public:
    inline int autoappend(int x)	{ return Karray::autoappend(x); }
    inline int autoappend()		{ return Karray::autoappend(); }
    inline KW& create(char *key, char *value = 0)
					{ return Karray::create(key,value); }
    inline int print(FILE* out = stdout){ return Karray::print(out); }
} ;

main()
{
    K foo;

    foo.create("B");
    foo.create("c");

    foo.autoappend(1);

    foo["a"] = "this is the value of A";
    foo["b"] = "This is the value of b";

    foo["a"] += " (with an addition)";

    foo.autoappend(0);
    foo["D"] = "This is a value that should not be here";

    foo.print();
}
